nnrpd in the latest snapshots segfaults

Jeffrey M. Vinocur jeff at litech.org
Tue Dec 11 17:17:27 UTC 2001



On Tue, 11 Dec 2001, Kim Alm wrote:

> Sorry for being fuzzy, just to clarify things.
>
> - I am running 2.3.3 stable (20011103) on my server.
>
> - I want to be able to have different readers.conf files, and my plan was
> to get the source for the 2.4 with the "-c" flag for nnrpd.

Ah.  Yes, this should work.



> I downloaded the inn-CURRENT-20011209. Ran "configure --with-perl ;
> make", with no problems at all. Grabbed the binary for nnrpd. But
> trying to run this binary, results in a segfault.

Are you using the default install paths?

(Hey people -- is anybody running the latest CURRENT?  Maybe it's broken.)


> - Checked the output from the compile, no errors.
> - Did a strace, and nothing obvious.

Can you run gdb and get a backtrace?

(I don't know if you know gdb, this should start nnrpd, wait for the
crash, and then get the backtrace.  If you want to pass args to nnrpd,
before run you can do "set args" inside gdb.

% gdb nnrpd
(gdb) run
(gdb) bt

)

-- 
Jeffrey M. Vinocur
jeff at litech.org



More information about the inn-bugs mailing list